*--------------------------------------------------------------------------*
| Programs and Data from Applied Statistics and the SAS Programming        |
| Language, 5th edition                                                    |
|                                                                          |
| The following file are available for downloading:                        |
|                                                                          |
| PROGRAMS.SAS - This file contains the programs used in this book         |
|                                                                          |
| HOMEWORK.DAT - Homework data and program files                           |
|                                                                          |
| HW_SOLUTIONS_ODD.SAS - Solutions to the odd-numbered homework problems   |                                                    |
|                                                                          |
| HW_SOLUTIONS_EVEN.SAS - Solutions to the even-numbered homework          |
|                         problems (available only to faculty)             |
*--------------------------------------------------------------------------*;
 
***Applied Statistics and the SAS Programming Language, 5th edition
   Solutions to the even-numbered problems;

***Problem 1-2;
DATA PROB1_2;
   INPUT SUBJ    $ 1-3
         HEIGHT    4-5
         WT_INIT   6-8
         WT_FINAL  9-11;
   ***Convert to metric;
   WT_INIT = WT_INIT/2.2;
   WT_FINAL = WT_FINAL/2.2;
   HEIGHT = HEIGHT*.0254;
   BMI_INIT = WT_INIT/HEIGHT**2;
   BMI_FINAL = WT_FINAL/HEIGHT**2;
   BMI_DIFF = BMI_FINAL – BMI_INIT;
DATALINES;
00768155150
00272250240
00563240200
00170345298
;
PROC SORT DATA=PROB1_2;
   BY SUBJ;
RUN;
PROC PRINT DATA=PROB1_2;
   TITLE "PROB1_2";
   ID SUBJ;
   VAR HEIGHT BMI_INIT BMI_FINAL BMI_DIFF;
RUN;

***Program 1_4;
DATA IQ_AND_TEST_SCORES;
   INPUT ID      1-3
         IQ      4-6
         MATH    7-9
         SCIENCE 10-12;
***Added lines;
OVERALL = (IQ + MATH + SCIENCE)/(3*500);
IF IQ GE 0 AND IQ LE 100 THEN GROUP = 1;
ELSE IF IQ GE 101 AND IQ LE 140 THEN GROUP = 2;
ELSE IF IQ GT 140 THEN GROUP = 3;
DATALINES;
001128550590
002102490501
003140670690
004115510510
;
PROC SORT DATA=PROB1_4;
   BY IQ;
RUN;
PROC PRINT DATA=PROB1_4;
   TITLE "PROB1_4";
RUN;
PROC FREQ DATA=PROB1_4;
   TABLES GROUP;
RUN;